/***********************************************************************************
 * example.cpp
 * Ryan Gilfether <hotrodder@rocketmail.com>
 * Apr 25, 2001
 *
 * Demonstrates the mp3info class
 * View the README file included in the distribution for more information
 *
 * USAGE: ./mp3info '/path/to/file.mp3'
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA (or visit
 * their web site at http://www.gnu.org/).
 ***********************************************************************************/

#include "mp3info.h"

void main(int argc, char* argv[])
{
        if(argc <= 1)
        {
                cout << endl << "Usage: " << argv[0] << " '/path/to/file.mp3'" << endl << endl;
                exit(1);
        }

	mp3info mp3(argv[1]);

        // ifstream* f = new ifstream(argv[1], ios::in|ios::binary);
        // mp3info mp3(f);

	cout << endl << "MP3 Info: " << argv[1] << endl;
	cout << "Size: " << mp3.size() / 1000 << " Kb" << endl;
	cout << "Length: " << mp3.length() << " Sec" << endl;
	cout << "Bitrate: " << mp3.bitrate() / 1000 << " Kb/s" << endl;
	cout << "Emphasis: " << mp3.emphasis() << endl;
	cout << "Frequency: " << mp3.frequency() << " Hz" << endl;
	mp3.copyright() ? cout << "Copyright: Yes" << endl : cout << "Copyright: No" << endl;
	cout << "Mode: " << mp3.mode() << endl;
	mp3.is_private() ? cout << "Private: Yes" << endl : cout << "Private: No" << endl;
	cout << "Version: MPEG " << mp3.version() << " Layer " << mp3.layer() << endl;
	cout << "Frames: "<< mp3.frames() << endl;
        mp3.is_protected() ? cout << "Protected: Yes" << endl : cout << "Protected: No" << endl;
 	mp3.original() ? cout << "Original: Yes" << endl : cout << "Original: No" << endl;
        cout << endl;

       // delete f;
}